<div class="logo"><img src="assets/logoVisaal.jpg" width=400px height=100px;></div>

<!--<p>
  <button id="loginOut" (click)="seDeconnecter()">
    Se déconnecter
  </button>
</p>-->
<div class="container">
  <div class="container col-m-12">

    <!-- SideBar--->
    <div class="sidenav">
      <div *ngIf="authService.currentUser">
        <h5 class="text-primary soignant">Le Soignant</h5>
        <!--<h4>
          <strong>ID:</strong> {{ authService.currentUserId }}
        </h4>-->
        <h4>
          <strong>Email:</strong> {{ authService.currentUserName }}
        </h4>
        <br>
        <div>
          <button (click)="addPatient()" class="btn btn-info">Ajouter un Patient</button>
        </div>
        <br>
        <div>
          <button (click)="addAppareil()" class="btn btn-info">Ajouter un Appareil</button>
        </div>
        <br>
        <div>
          <button (click)="updatePatient()" class="btn btn-info">Modifier un patient</button>
        </div>
        <br>
        <button (click)="disco()" class="btn btn-info">Deconnexion</button>
      </div>
    </div>
    <div class="main-table">
      <h2>liste des Appareils</h2>
      <div class="table-responsive table-container">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Rechercher un patient" [(ngModel)]="filterTerm">
        </div>
        <table class="table table-dark table-hover table-striped">
          <thead class="thead-light">
          <tr>
            <th>Identifiant</th>
            <th>Service</th>
            <th>Disponible</th>
            <th>Etat</th>
            <th>Sterilisation</th>
            <th>Action</th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let appareil of appareils | filter:filterTerm">
            <td>{{appareil.id}}</td>
            <td>{{appareil.service}}</td>
            <td>{{appareil.available}}</td>
            <td>{{appareil.etat}}</td>
            <td>{{appareil.sterilisation}}</td>
            <td>{{appareil.action}}</td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</div>

